curl --request GET \
--url https://api.bspk.com/api/extraction/v1/slices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bspk.com/api/extraction/v1/slices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bspk.com/api/extraction/v1/slices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"store_id": "Store-external_id-68",
"store_name": "Store-77",
"created_by_sales_associate_id": "SA_01",
"created_by_sales_associate_name": "FirstName-113 LastName-113",
"title": null,
"body": null,
"created_at": "2024-08-07T12:29:28.363Z",
"updated_at": "2024-08-07T12:29:28.363Z",
"item_ids": [
"ITEM_OO1"
]
}
]List Slices
List slices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Sales Associate id owned by the brand
Only show slices created after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Combined with the from parameter, only show slices created within the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Page number of the results to fetch. Default: 1
Results per page (max 1000). Default: 100
Response
Successful response, returns array of slices
Unique identifier of the store where the slice was created (based on associate assignment)
Store name of where the slice was created (based on associate assignment)
Unique identifier of the associate that created the slice
Full name of the associate who created the slice
Short description of the slice added by the original associate
Details added to the slice by the original associate
Timestamp of when the slice was created
Timestamp of when the slice was last updated
Unique identifiers of the items that were included in the slice
